Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
mark_stack Struct Reference

## Data Fields
stack_chunk_t * | chunk
stack_chunk_t * | cache
size_t | index
size_t | limit
size_t | cache_size
size_t | unused_cache_size

## Detailed Description

Definition at line 195 of file gc.c.

## Field Documentation

stack_chunk_t* mark_stack::cache

Definition at line 197 of file gc.c.

Referenced by add_stack_chunk_cache(), push_mark_stack_chunk(), and shrink_stack_chunk_cache().

size_t mark_stack::cache_size

Definition at line 200 of file gc.c.

Referenced by add_stack_chunk_cache(), init_mark_stack(), push_mark_stack_chunk(), and shrink_stack_chunk_cache().

stack_chunk_t* mark_stack::chunk

Definition at line 196 of file gc.c.

Referenced by free_stack_chunks(), is_mark_stask_empty(), pop_mark_stack(), pop_mark_stack_chunk(), push_mark_stack(), and push_mark_stack_chunk().

size_t mark_stack::index

Definition at line 198 of file gc.c.

Referenced by gc_mark_stacked_objects(), pop_mark_stack(), pop_mark_stack_chunk(), push_mark_stack(), and push_mark_stack_chunk().

size_t mark_stack::limit

Definition at line 199 of file gc.c.

Referenced by init_mark_stack(), pop_mark_stack_chunk(), push_mark_stack(), and push_mark_stack_chunk().

size_t mark_stack::unused_cache_size

Definition at line 201 of file gc.c.

Referenced by init_mark_stack(), push_mark_stack_chunk(), and shrink_stack_chunk_cache().

The documentation for this struct was generated from the following file:

- gc.c